Status: Closed

Severity: Normal

Assignee:

Category: Physics

Target version:

Version: 0.18.4 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

Air drag value scales with instantaneous mass. This causes issues with terminal velocity of parts that disobey basic principles of IRL
physics.

Effects and recreation of the bug can be done with some detail in following video:
http://www.youtube.com/watch?v=Pgu_FRIXJ8g

Time 13:25 - 22:15
Specifically:

e Same design parts with different masses fall at same speed.
¢ Same combined components with a fixed lower drag value and higher scaling drag values result in "lighter" assembly falling
faster than the "heavy" one.

Recommended fix:

Whatever drag values that need to be assigned to a part, should remain constant through flight. If limitations of systems preclude
using surface area and shape constants based on cross sections, then it should be indexed off the dry mass only of any particular
part, and not change as it looses mass due to fuel expenditure, etc.

Notes:
Understand drag model is due for overhaul in next couple versions. Listing as bug to document the specific phenomena that should
be tested against in new model.

History

#1 - 03/12/2013 06:28 PM - Yargnit
- Tracker changed from Bug to Feature
- Status changed from New to Planned

- % Done changed from 0 to 10

To be addressed in update down the road. - No current ETA

#2 - 08/16/2013 11:33 AM - Ted
- Category set to Physics
- Version setto 0.18.4

- Platform Windows added

#3 - 04/28/2015 01:55 AM - RexKramer
- Tracker changed from Feature to Feedback
- Status changed from Planned to Resolved

- % Done changed from 10 to 100

The new aero model in 1.0 corrects this effect, | believe.
http://www.youtube.com/watch?v=Pgu_FRlXJ8g

Had to change to 'Feedback' to set status to resolved.

#4 - 07/27/2015 05:55 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#5 - 07/17/2016 09:17 AM - TriggerAu
- Status changed from Resolved to Closed
